package com.cool.store.dao;

import com.cool.store.entity.HyAdvancedSettingDO;
import com.cool.store.mapper.HyAdvancedSettingMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;

/**
 * @Author suzhuhong
 * @Date 2023/6/14 20:33
 * @Version 1.0
 */
@Repository
public class HyAdvancedSettingDAO {


    @Resource
    HyAdvancedSettingMapper hyAdvancedSettingMapper;


    public int insertSelective(HyAdvancedSettingDO record){
        return  hyAdvancedSettingMapper.insertSelective(record);
    }

    public int updateByPrimaryKeySelective( HyAdvancedSettingDO record){
        return hyAdvancedSettingMapper.updateByPrimaryKeySelective(record);
    }


    public HyAdvancedSettingDO selectAdvanceSetting(){
        return hyAdvancedSettingMapper.selectAdvanceSetting();
    }


}
